package com.yutu.base.entity;

import java.io.Serializable;

public class NoteResult implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 状态码 0-成功  2-失败
     */
    private int status;
    /**
     * 消息提示,如(成功)
     */
    private String msg;
    /**
     * 额外信息
     */
    private String info;
    /**
     * 设置要返回的具体数据
     */
    private Object data;//返回的数据

    public NoteResult() {

    }

    public NoteResult(int status, String msg, Object data) {
        this.status = status;
        this.msg = msg;
        this.data = data;
    }

    public Object getData() {
        return data;
    }

    public void setData(Object data) {
        this.data = data;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public String getInfo() {
        return info;
    }

    public void setInfo(String info) {
        this.info = info;
    }

    @Override
    public String toString() {
        return "NoteResult [status=" + status + ", msg=" + msg + ", info="
                + info + ", data=" + data + "]";
    }

}
