package com.yutu.base.entity;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 销售明细实体类
 */
public class SaleDetail implements Serializable {
    private static final long serialVersionUID = 1L;

    private String id;

    private String key;//唯一标识  customerId_fromDate_toDate
    private Date createTime;//创建时间
    private Date updateTime;//更新时间
    private Integer sortIndex;

    private Date createOrderTime;                    //    sheet.addCell(new Label(0,0,"生单时间",wcf2));
    private Date ticketTime;                    //    sheet.addCell(new Label(1,0,"出票时间",wcf2));
    private String outerOrderNo;                    //    sheet.addCell(new Label(2,0,"订单号",wcf2));
    private String channel;                    //    sheet.addCell(new Label(3,0,"销售渠道",wcf2));
    private String store;                    //    sheet.addCell(new Label(4,0,"销售店铺",wcf2));
    private String tairLine;                    //    sheet.addCell(new Label(5,0,"航线",wcf2));
    private String flightTime;                    //    sheet.addCell(new Label(6,0,"起飞时间",wcf2));
    private String flightNumber;                    //    sheet.addCell(new Label(7,0,"航班号",wcf2));
    private String tripType;                    //    sheet.addCell(new Label(8,0,"行程类型",wcf2));
    private String pnrType;                    //    sheet.addCell(new Label(9,0,"票号类型",wcf2));
    private String pnr;                    //    sheet.addCell(new Label(10,0,"编码",wcf2));
    private Integer passengerCount;                    //    sheet.addCell(new Label(11,0,"人数",wcf2));
    private Double salePrice;                    //    sheet.addCell(new Label(12,0,"销售—金额",wcf2));
    private Double luggagePrice;                    //    sheet.addCell(new Label(13,0,"行李总金额",wcf2));
    private Integer points;                    //    sheet.addCell(new Label(14,0,"采购积分",wcf2));
    private String purchaseCurrency;                    //    sheet.addCell(new Label(15,0,"采购币种",wcf2));
    private Double purchasePrice_local;                    //    sheet.addCell(new Label(16,0,"采购金额(外)",wcf2));
    private Double purchasePrice_rmb;                    //    sheet.addCell(new Label(17,0,"采购金额(本)",wcf2));
    private Double transactionDetail_local;                    //    sheet.addCell(new Label(18,0,"支付明细(外)",wcf2));
    private Double transactionDetail_rmb;                    //    sheet.addCell(new Label(19,0,"支付明细(本)",wcf2));
    private String payMethod;                    //    sheet.addCell(new Label(20,0,"支付方式",wcf2));
    private String cardNumber;                    //    sheet.addCell(new Label(21,0,"卡号",wcf2));
    private Double profit;                   //    sheet.addCell(new Label(22,0,"利润",wcf2));
    private String transactionNumber;                    //    sheet.addCell(new Label(23,0,"交易流水号",wcf2));
    private String orderValueAddedNo;                    //    sheet.addCell(new Label(24,0,"辅营订单号",wcf2));
    private String purchaseChannel;                    //    sheet.addCell(new Label(25,0,"采购渠道",wcf2));
    private String purchaseAccount;                    //    sheet.addCell(new Label(26,0,"采购账户",wcf2));
    private String purchaseOrderNo;                    //    sheet.addCell(new Label(27,0,"采购订单号",wcf2));
    private String policyType;                    //    sheet.addCell(new Label(28,0,"政策类型",wcf2));
    private String policyCode;                    //    sheet.addCell(new Label(29,0,"政策编码",wcf2));
    private String orderStatus;                    //    sheet.addCell(new Label(30,0,"订单状态",wcf2));
    private String operator;                    //    sheet.addCell(new Label(31,0,"出票人",wcf2));
    private Date purchaseTime;                    //    sheet.addCell(new Label(32,0,"采购时间",wcf2));
    private String orderValueAdded;                   //    sheet.addCell(new Label(33,0,"附加产品",wcf2));
    private String orderValueAddedSpecific;                    //    sheet.addCell(new Label(34,0,"附加产品规格",wcf2));
    private String remark;                    //    sheet.addCell(new Label(35,0,"备注",wcf2));
    private String officalReceivedPaymentStatus;                    //    sheet.addCell(new Label(36,0,"财务-回款状态",wcf2));
    private Double officalActualExpendAmount;                    //    sheet.addCell(new Label(37,0,"财务-实际支出金额",wcf2));
    private Double officalBalance;                    //    sheet.addCell(new Label(38,0,"财务-补差",wcf2));
    private Date officalRateAdjustDate;                    //    sheet.addCell(new Label(39,0,"财务-外币调整日期",wcf2));

    private String passengerNames;          //采购信息本次采购的乘客姓名
    private Integer adultCount;             //采购的成人数量
    private Integer childCount;             //采购的儿童数量

    public Integer getAdultCount() {
        return adultCount;
    }

    public void setAdultCount(Integer adultCount) {
        this.adultCount = adultCount;
    }

    public Integer getChildCount() {
        return childCount;
    }

    public void setChildCount(Integer childCount) {
        this.childCount = childCount;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getSortIndex() {
        return sortIndex;
    }

    public void setSortIndex(Integer sortIndex) {
        this.sortIndex = sortIndex;
    }

    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    public Date getCreateOrderTime() {
        return createOrderTime;
    }

    public void setCreateOrderTime(Date createOrderTime) {
        this.createOrderTime = createOrderTime;
    }

    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    public Date getTicketTime() {
        return ticketTime;
    }

    public void setTicketTime(Date ticketTime) {
        this.ticketTime = ticketTime;
    }

    public String getOuterOrderNo() {
        return outerOrderNo;
    }

    public void setOuterOrderNo(String outerOrderNo) {
        this.outerOrderNo = outerOrderNo;
    }

    public String getChannel() {
        return channel;
    }

    public void setChannel(String channel) {
        this.channel = channel;
    }

    public String getStore() {
        return store;
    }

    public void setStore(String store) {
        this.store = store;
    }

    public String getTairLine() {
        return tairLine;
    }

    public void setTairLine(String tairLine) {
        this.tairLine = tairLine;
    }

    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    public String getFlightTime() {
        return flightTime;
    }

    public void setFlightTime(String flightTime) {
        this.flightTime = flightTime;
    }

    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    public String getFlightNumber() {
        return flightNumber;
    }

    public void setFlightNumber(String flightNumber) {
        this.flightNumber = flightNumber;
    }

    public String getTripType() {
        return tripType;
    }

    public void setTripType(String tripType) {
        this.tripType = tripType;
    }

    public String getPnrType() {
        return pnrType;
    }

    public void setPnrType(String pnrType) {
        this.pnrType = pnrType;
    }

    public String getPnr() {
        return pnr;
    }

    public void setPnr(String pnr) {
        this.pnr = pnr;
    }

    public Integer getPassengerCount() {
        return passengerCount;
    }

    public void setPassengerCount(Integer passengerCount) {
        this.passengerCount = passengerCount;
    }

    public Double getSalePrice() {
        return salePrice;
    }

    public void setSalePrice(Double salePrice) {
        this.salePrice = salePrice;
    }

    public Double getLuggagePrice() {
        return luggagePrice;
    }

    public void setLuggagePrice(Double luggagePrice) {
        this.luggagePrice = luggagePrice;
    }

    public Integer getPoints() {
        return points;
    }

    public void setPoints(Integer points) {
        this.points = points;
    }

    public String getPurchaseCurrency() {
        return purchaseCurrency;
    }

    public void setPurchaseCurrency(String purchaseCurrency) {
        this.purchaseCurrency = purchaseCurrency;
    }

    public Double getPurchasePrice_local() {
        return purchasePrice_local;
    }

    public void setPurchasePrice_local(Double purchasePrice_local) {
        this.purchasePrice_local = purchasePrice_local;
    }

    public Double getPurchasePrice_rmb() {
        return purchasePrice_rmb;
    }

    public void setPurchasePrice_rmb(Double purchasePrice_rmb) {
        this.purchasePrice_rmb = purchasePrice_rmb;
    }

    public Double getTransactionDetail_local() {
        return transactionDetail_local;
    }

    public void setTransactionDetail_local(Double transactionDetail_local) {
        this.transactionDetail_local = transactionDetail_local;
    }

    public Double getTransactionDetail_rmb() {
        return transactionDetail_rmb;
    }

    public void setTransactionDetail_rmb(Double transactionDetail_rmb) {
        this.transactionDetail_rmb = transactionDetail_rmb;
    }

    public String getPayMethod() {
        return payMethod;
    }

    public void setPayMethod(String payMethod) {
        this.payMethod = payMethod;
    }

    public String getCardNumber() {
        return cardNumber;
    }

    public void setCardNumber(String cardNumber) {
        this.cardNumber = cardNumber;
    }

    public Double getProfit() {
        return profit;
    }

    public void setProfit(Double profit) {
        this.profit = profit;
    }

    public String getTransactionNumber() {
        return transactionNumber;
    }

    public void setTransactionNumber(String transactionNumber) {
        this.transactionNumber = transactionNumber;
    }

    public String getOrderValueAddedNo() {
        return orderValueAddedNo;
    }

    public void setOrderValueAddedNo(String orderValueAddedNo) {
        this.orderValueAddedNo = orderValueAddedNo;
    }

    public String getPurchaseChannel() {
        return purchaseChannel;
    }

    public void setPurchaseChannel(String purchaseChannel) {
        this.purchaseChannel = purchaseChannel;
    }

    public String getPurchaseAccount() {
        return purchaseAccount;
    }

    public void setPurchaseAccount(String purchaseAccount) {
        this.purchaseAccount = purchaseAccount;
    }

    public String getPurchaseOrderNo() {
        return purchaseOrderNo;
    }

    public void setPurchaseOrderNo(String purchaseOrderNo) {
        this.purchaseOrderNo = purchaseOrderNo;
    }

    public String getPolicyType() {
        return policyType;
    }

    public void setPolicyType(String policyType) {
        this.policyType = policyType;
    }

    public String getPolicyCode() {
        return policyCode;
    }

    public void setPolicyCode(String policyCode) {
        this.policyCode = policyCode;
    }

    public String getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(String orderStatus) {
        this.orderStatus = orderStatus;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    public Date getPurchaseTime() {
        return purchaseTime;
    }

    public void setPurchaseTime(Date purchaseTime) {
        this.purchaseTime = purchaseTime;
    }

    public String getOrderValueAdded() {
        return orderValueAdded;
    }

    public void setOrderValueAdded(String orderValueAdded) {
        this.orderValueAdded = orderValueAdded;
    }

    public String getOrderValueAddedSpecific() {
        return orderValueAddedSpecific;
    }

    public void setOrderValueAddedSpecific(String orderValueAddedSpecific) {
        this.orderValueAddedSpecific = orderValueAddedSpecific;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getOfficalReceivedPaymentStatus() {
        return officalReceivedPaymentStatus;
    }

    public void setOfficalReceivedPaymentStatus(String officalReceivedPaymentStatus) {
        this.officalReceivedPaymentStatus = officalReceivedPaymentStatus;
    }

    public Double getOfficalActualExpendAmount() {
        return officalActualExpendAmount;
    }

    public void setOfficalActualExpendAmount(Double officalActualExpendAmount) {
        this.officalActualExpendAmount = officalActualExpendAmount;
    }

    public Double getOfficalBalance() {
        return officalBalance;
    }

    public void setOfficalBalance(Double officalBalance) {
        this.officalBalance = officalBalance;
    }

    public Date getOfficalRateAdjustDate() {
        return officalRateAdjustDate;
    }

    public void setOfficalRateAdjustDate(Date officalRateAdjustDate) {
        this.officalRateAdjustDate = officalRateAdjustDate;
    }

    public String getPassengerNames() {
        return passengerNames;
    }

    public void setPassengerNames(String passengerNames) {
        this.passengerNames = passengerNames;
    }

    public SaleDetail() {
    }

    public SaleDetail(String id, String key, Date createTime, Date updateTime, Integer sortIndex, Date createOrderTime, Date ticketTime, String outerOrderNo, String channel, String store, String tairLine, String flightTime, String flightNumber, String tripType, String pnrType, String pnr, Integer passengerCount, Double salePrice, Double luggagePrice, Integer points, String purchaseCurrency, Double purchasePrice_local, Double purchasePrice_rmb, Double transactionDetail_local, Double transactionDetail_rmb, String payMethod, String cardNumber, Double profit, String transactionNumber, String orderValueAddedNo, String purchaseChannel, String purchaseAccount, String purchaseOrderNo, String policyType, String policyCode, String orderStatus, String operator, Date purchaseTime, String orderValueAdded, String orderValueAddedSpecific, String remark, String officalReceivedPaymentStatus, Double officalActualExpendAmount, Double officalBalance, Date officalRateAdjustDate, String passengerNames, Integer adultCount, Integer childCount) {
        this.id = id;
        this.key = key;
        this.createTime = createTime;
        this.updateTime = updateTime;
        this.sortIndex = sortIndex;
        this.createOrderTime = createOrderTime;
        this.ticketTime = ticketTime;
        this.outerOrderNo = outerOrderNo;
        this.channel = channel;
        this.store = store;
        this.tairLine = tairLine;
        this.flightTime = flightTime;
        this.flightNumber = flightNumber;
        this.tripType = tripType;
        this.pnrType = pnrType;
        this.pnr = pnr;
        this.passengerCount = passengerCount;
        this.salePrice = salePrice;
        this.luggagePrice = luggagePrice;
        this.points = points;
        this.purchaseCurrency = purchaseCurrency;
        this.purchasePrice_local = purchasePrice_local;
        this.purchasePrice_rmb = purchasePrice_rmb;
        this.transactionDetail_local = transactionDetail_local;
        this.transactionDetail_rmb = transactionDetail_rmb;
        this.payMethod = payMethod;
        this.cardNumber = cardNumber;
        this.profit = profit;
        this.transactionNumber = transactionNumber;
        this.orderValueAddedNo = orderValueAddedNo;
        this.purchaseChannel = purchaseChannel;
        this.purchaseAccount = purchaseAccount;
        this.purchaseOrderNo = purchaseOrderNo;
        this.policyType = policyType;
        this.policyCode = policyCode;
        this.orderStatus = orderStatus;
        this.operator = operator;
        this.purchaseTime = purchaseTime;
        this.orderValueAdded = orderValueAdded;
        this.orderValueAddedSpecific = orderValueAddedSpecific;
        this.remark = remark;
        this.officalReceivedPaymentStatus = officalReceivedPaymentStatus;
        this.officalActualExpendAmount = officalActualExpendAmount;
        this.officalBalance = officalBalance;
        this.officalRateAdjustDate = officalRateAdjustDate;
        this.passengerNames = passengerNames;
        this.adultCount = adultCount;
        this.childCount = childCount;
    }

    @Override
    public String toString() {
        return "SaleDetail{" +
                "id='" + id + '\'' +
                ", key='" + key + '\'' +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", sortIndex=" + sortIndex +
                ", createOrderTime=" + createOrderTime +
                ", ticketTime=" + ticketTime +
                ", outerOrderNo='" + outerOrderNo + '\'' +
                ", channel='" + channel + '\'' +
                ", store='" + store + '\'' +
                ", tairLine='" + tairLine + '\'' +
                ", flightTime='" + flightTime + '\'' +
                ", flightNumber='" + flightNumber + '\'' +
                ", tripType='" + tripType + '\'' +
                ", pnrType='" + pnrType + '\'' +
                ", pnr='" + pnr + '\'' +
                ", passengerCount=" + passengerCount +
                ", salePrice=" + salePrice +
                ", luggagePrice=" + luggagePrice +
                ", points=" + points +
                ", purchaseCurrency='" + purchaseCurrency + '\'' +
                ", purchasePrice_local=" + purchasePrice_local +
                ", purchasePrice_rmb=" + purchasePrice_rmb +
                ", transactionDetail_local=" + transactionDetail_local +
                ", transactionDetail_rmb=" + transactionDetail_rmb +
                ", payMethod='" + payMethod + '\'' +
                ", cardNumber='" + cardNumber + '\'' +
                ", profit=" + profit +
                ", transactionNumber='" + transactionNumber + '\'' +
                ", orderValueAddedNo='" + orderValueAddedNo + '\'' +
                ", purchaseChannel='" + purchaseChannel + '\'' +
                ", purchaseAccount='" + purchaseAccount + '\'' +
                ", purchaseOrderNo='" + purchaseOrderNo + '\'' +
                ", policyType='" + policyType + '\'' +
                ", policyCode='" + policyCode + '\'' +
                ", orderStatus='" + orderStatus + '\'' +
                ", operator='" + operator + '\'' +
                ", purchaseTime=" + purchaseTime +
                ", orderValueAdded='" + orderValueAdded + '\'' +
                ", orderValueAddedSpecific='" + orderValueAddedSpecific + '\'' +
                ", remark='" + remark + '\'' +
                ", officalReceivedPaymentStatus='" + officalReceivedPaymentStatus + '\'' +
                ", officalActualExpendAmount=" + officalActualExpendAmount +
                ", officalBalance=" + officalBalance +
                ", officalRateAdjustDate=" + officalRateAdjustDate +
                ", passengerNames='" + passengerNames + '\'' +
                ", adultCount=" + adultCount +
                ", childCount=" + childCount +
                '}';
    }
}
